import request from '@/utils/request'

// 查询原材料出库记录列表
export function listRawoutstock(query) {
  return request({
    url: '/wms/rawoutstock/list',
    method: 'get',
    params: query
  })
}

// 查询原材料出库记录详细
export function getRawoutstock(rawOutstockId) {
  return request({
    url: '/wms/rawoutstock/' + rawOutstockId,
    method: 'get'
  })
}

// 新增原材料出库记录
export function addRawoutstock(data) {
  return request({
    url: '/wms/rawoutstock',
    method: 'post',
    data: data
  })
}

// 修改原材料出库记录
export function updateRawoutstock(data) {
  return request({
    url: '/wms/rawoutstock',
    method: 'put',
    data: data
  })
}

// 删除原材料出库记录
export function delRawoutstock(rawOutstockId) {
  return request({
    url: '/wms/rawoutstock/' + rawOutstockId,
    method: 'delete'
  })
}
